#!/bin/bash
apt-get update -y
apt-get install -y git docker docker-compose net-tools

addgroup --gid 1000 hosting
adduser --ingroup hosting -u 1000 git
adduser --system --ingroup hosting --ingroup docker git-docker

mkdir /home/git/.ssh
chown -R git:hosting /home/git/.ssh
mkdir -p /var/hosting/git/gitea
mkdir -p /var/hosting/git/postgres
mkdir -p /var/hosting/git/gitea/git/.ssh/
mkdir -p /app/gitea
mkdir -p /var/hosting/git/haproxy/config
mkdir -p /var/hosting/git/haproxy/certs.d
mkdir -p /var/hosting/git/letsencrypt
